Name:		lis
Version:	1.2.53
Release:	3%{?dist}
Summary:	A library for solving linear equations and eigenvalue problems
Group:		Applications/Engineering
License:	BSD
URL:		http://www.ssisc.org/lis/index.en.html
Source0:	http://infinity.cc.kyushu-u.ac.jp/lis/dl/lis-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	gcc-gfortran

%description
Lis, a Library of Iterative Solvers for linear systems, is a scalable parallel
library for solving systems of linear equations and standard eigenvalue
problems with real sparse matrices using iterative methods. 

%package devel
Summary:	Development headers and library for lis
Group:		Applications/Engineering
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Lis, a Library of Iterative Solvers for linear systems, is a scalable parallel
library for solving systems of linear equations and standard eigenvalue
problems with real sparse matrices using iterative methods. 

This package contains the development headers and library.

%package doc
Summary:	Developer documentation for lis
Group:		Documentation
%if 0%{?fedora} > 12 || 0%{?rhel} > 5
BuildArch:	noarch
%endif

%description doc
Lis, a Library of Iterative Solvers for linear systems, is a scalable parallel
library for solving systems of linear equations and standard eigenvalue
problems with real sparse matrices using iterative methods.

This package contains the developer documentation for lis.

%prep
%setup -q

%build
export CC=gcc
export F77=gfortran
export FC=gfortran

mkdir omp
cd omp
ln -s ../configure .
# SAAMG doesn't compile with GFortran, issue reported upstream.
#configure --disable-static --enable-shared --enable-omp --enable-quad --enable-saamg
%configure --disable-static --enable-shared --enable-omp --enable-quad
make %{?_smp_mflags}
cd ..

%install
rm -rf %{buildroot}
make -C omp install DESTDIR=%{buildroot}

# Get rid of spurious config.h
rm %{buildroot}%{_includedir}/config.h
# Get rid of .la file
rm %{buildroot}%{_libdir}/liblis.la

%clean
rm -rf %{buildroot}

%check
cp test/{testmat.mtx,defs,test.sh} omp/test/
cd omp/test
sh test.sh

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_libdir}/liblis.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/lis.h
%{_includedir}/lisf.h
%{_libdir}/liblis.so

%files doc
%defattr(-,root,root,-)
%doc COPYING doc/*.pdf

%changelog
* Sun Sep 18 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.2.53-3
- Include COPYING in -doc.

* Thu Sep 15 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.2.53-2
- Enabled quadruple precision support.

* Mon Sep 12 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.2.53-1
- First release.
